# All RR records of domain names under the zone - DescribeUDNSDomain

## Overview

All RR records of domain names under the zone






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDNSDomain`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **DNSZoneName** | string | Zone Name |**Yes**|
| **VPCId** | string | VPC Resource ID |**Yes**|
| **Offset** | int | Query Quantity Offset |No|
| **Limit** | int | Return Quantity |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RecordInfos** | array[[*RecordInfo*](#recordinfo)] | Query Record |**Yes**|
| **TotalCount** | int | Total Number |**Yes**|

#### Data Model


#### RecordInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RecordId** | string | Domain Record Resource ID |**Yes**|
| **Name** | string | Host Record |**Yes**|
| **Type** | string | Record Type |**Yes**|
| **ValueSet** | array[[*ValueSet*](#valueset)] | Numeric Group |**Yes**|
| **ValueType** | string | Recording strategy, standard or random response |**Yes**|
| **TTL** | int | TTL value, in seconds |**Yes**|
| **Remark** | string | Record remark information |**Yes**|

#### ValueSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Data** | string | Host Record |**Yes**|
| **Weight** | int | Weight |**Yes**|
| **IsEnabled** | int | Enable? |**Yes**|

## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=DescribeUDNSDomain
&Region=cn-zj
&ProjectId=VazeIsAc
&DNSZoneName=SmOFxzQi
&VPCId=mndbhyUK
&Offset=1
&Limit=2
```

### Response Example
    
```json
{
  "Action": "DescribeUDNSDomainResponse",
  "RecordInfos": [
    {
      "Name": "tkCApOvq",
      "RecordId": "yRQSXDut",
      "Remark": "vyElewiS",
      "TTL": 8,
      "Type": "zVcKNwZd",
      "ValueSet": [
        {
          "Data": "gGjEmoub",
          "IsEnabled": 9,
          "Weight": 4
        }
      ],
      "ValueType": "MOJvQMjj"
    }
  ],
  "RetCode": 0,
  "TotalCount": 5
}
```





